APT-MARK(8)

NOM
apt-mark - Indiquer si un paquet a été installé automatiquement ou non

SYNOPSIS

apt-mark [-f=nom_de_fichier] {auto | manual | showauto | showmanual} paquet... | {-v | --version} | {-h | --help}

DESCRIPTION

Avec la commande apt-mark, on peut indiquer si un paquet a été automatiquement installé ou pas.

Lorsque l'installation d'un paquet est demandée et que par voie de dépendances d'autres paquets sont installés, ces paquets sont marqués comme ayant été automatiquement installés. Une fois que ces paquets automatiquement installés ne sont plus liés à un paquet existant, ils seront supprimés par un appel à apt-get ou aptitude.

auto
    auto permet de marquer un paquet comme ayant été installé automatiquement. Un tel paquet sera supprimé automatiquement dès que plus aucun paquet installé manuellement ne dépend de lui.

manual
    manual permet de marquer un paquet comme installé manuellement. Un tel paquet ne sera pas supprimé automatiquement, même si aucun autre paquet n'en dépend.

hold
    hold permet de marquer un paquet comme conservé, ce qui empêchera de l'installer, de le mettre à jour ou de le supprimer automatiquement. Cette commande est une simple envelopper à la commande dpkg --set-selections, l'état étant géré par dpkg(1) et non affecté par l'option --file.

unhold
    unhold est utilisé pour supprimer l'état « hold » (conservé) d'un paquet afin de permettre toute action qui y est liée.

showauto
    showauto, affiche les paquets installés automatiquement, un paquet par ligne. Si aucun paramètre n'est indiqué, tous les paquets installés automatiquement seront affichés. Si des noms de paquets sont passés en paramètre, seuls ceux qui sont automatiquement installés seront affichés.

showmanual
    showmanual peut être utilisé de manière analogue à showauto pour afficher la liste des paquets installés manuellement.

showhold
    showhold permet d'afficher la liste des paquets conservés de manière analogue aux commandes de même type.

OPTIONS

-f=nom_de_fichier, --file=nom_de_fichier
    Lecture/écriture des statistiques d'un paquet dans nom_de_fichier au lieu du fichier par défaut (extended_status dans le répertoire défini par l'élément de configuration Dir::State).

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnement APT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

FICHIERS

/var/lib/apt/extended_states
    Liste d'état des paquets installés automatiquement. Élément de configuration : Dir::State::extended_states.

VOIR AUSSI

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSTICS

apt-mark retourne zéro après un déroulement normal, et un autre chiffre en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Mike O'Connor

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    http://bugs.debian.org/src:apt